at.chipkarte.client.elgaad.soap

## Class Impfschema

- Object
- - at.chipkarte.client.elgaad.soap.Impfschema

-     public class Impfschema
      extends Object

  Daten des Impfschemas

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Impfschema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `getImpfdosis()` Impfdosis.
    `String` | `getImpfdosisText()` Text der Impfdosis.
    `Code` | `getImpfschema()` Impfschema.
    `String` | `getImpfschemaText()` Text des Impfschemas.
    `void` | `setImpfdosis(Code impfdosis)`
    `void` | `setImpfdosisText(String impfdosisText)`
    `void` | `setImpfschema(Code impfschema)`
    `void` | `setImpfschemaText(String impfschemaText)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Impfschema

          public Impfschema()

  - ### Method Detail

    - #### getImpfschema

          public Code getImpfschema()

      Impfschema. Siehe `Code`.
      Angabe: Kann.
      möliche Werte: Werte aus dem Valueset eImpf_Impfschema_VS, eingeschränkt aufgrund des gewählten Impfstoffes.
      Returns:
        Impfschema.

    - #### setImpfschema

          public void setImpfschema(Code impfschema)

    - #### getImpfdosis

          public Code getImpfdosis()

      Impfdosis. Siehe `Code`.
      Angabe: Muss.
      möliche Werte: Werte aus dem Valueset eImpf_Impfdosis_VS, eingeschränkt aufgrund des gewählten Impfschemas beziehungsweise des Impfstoffes.
      Returns:
        Impfdosis.

    - #### setImpfdosis

          public void setImpfdosis(Code impfdosis)

    - #### getImpfschemaText

          public String getImpfschemaText()

      Text des Impfschemas.
      Angabe: Kann.
      Returns:
        ImpfschemaText.

    - #### setImpfschemaText

          public void setImpfschemaText(String impfschemaText)

    - #### getImpfdosisText

          public String getImpfdosisText()

      Text der Impfdosis.
      Angabe: Kann.
      Returns:
        ImpfdosisText.

    - #### setImpfdosisText

          public void setImpfdosisText(String impfdosisText)